Subject: Re: xfrm_add_sa_expire return codes

From: jamal <[email-masked]>
Date: Mon, 26 Feb 2007 19:31:06 -0500

On Mon, 2007-26-02 at 14:48 -0800, David Miller wrote:

> Indeed, and the tabbing on the first "err = " assignment should
> be a clue that some mistake might have been added.
> 
> It looks like the code has been like that from day one, I wonder
> how Jamal tested this stuff :-)
> 

I am asking myself the same question staring at that;-> 
Let me look at the test code tommorow and get back to you. I know my
test was "passing" ;->

> I'm going to assume the intended logic, and fix it like this.
> Jamal?
> 

Looks good - thanks Dave.

cheers,
jamal